Index: /trunk/src/bp-groups/bp-groups-notifications.php
===================================================================
--- /trunk/src/bp-groups/bp-groups-notifications.php	(revision 10372)
+++ /trunk/src/bp-groups/bp-groups-notifications.php	(revision 10373)
@@ -66,5 +66,5 @@
 	foreach ( (array) $user_ids as $user_id ) {
 
-		// Continue if member opted out of receiving this email
+		// Continue if member opted out of receiving this email.
 		if ( 'no' === bp_get_user_meta( $user_id, 'notification_groups_group_updated', true ) ) {
 			continue;
@@ -73,5 +73,5 @@
 		$ud = bp_core_get_core_userdata( $user_id );
 
-		// Set up and send the message
+		// Set up and send the message.
 		$to = $ud->user_email;
 
@@ -150,10 +150,9 @@
  * @param int $group_id           ID of the group.
  * @param int $membership_id      ID of the group membership object.
- *
  * @return false|null False on failure.
  */
 function groups_notification_new_membership_request( $requesting_user_id = 0, $admin_id = 0, $group_id = 0, $membership_id = 0 ) {
 
-	// Trigger a BuddyPress Notification
+	// Trigger a BuddyPress Notification.
 	if ( bp_is_active( 'notifications' ) ) {
 		bp_notifications_add_notification( array(
@@ -166,22 +165,22 @@
 	}
 
-	// Bail if member opted out of receiving this email
+	// Bail if member opted out of receiving this email.
 	if ( 'no' === bp_get_user_meta( $admin_id, 'notification_groups_membership_request', true ) ) {
 		return false;
 	}
 
-	// Username of the user requesting a membership: %1$s in mail
+	// Username of the user requesting a membership: %1$s in mail.
 	$requesting_user_name = bp_core_get_user_displayname( $requesting_user_id );
 	$group                = groups_get_group( array( 'group_id' => $group_id ) );
 
-	// Group Administrator user's data
+	// Group Administrator user's data.
 	$ud             = bp_core_get_core_userdata( $admin_id );
 	$group_requests = bp_get_group_permalink( $group ) . 'admin/membership-requests';
 
-	// Link to the user's profile who's requesting a membership: %3$s in mail
+	// Link to the user's profile who's requesting a membership: %3$s in mail.
 	$profile_link   = bp_core_get_user_domain( $requesting_user_id );
 
 	$settings_slug  = function_exists( 'bp_get_settings_slug' ) ? bp_get_settings_slug() : 'settings';
-	// Link to the group administrator email settings: %s in "disable notifications" part of the email
+	// Link to the group administrator email settings: %s in "disable notifications" part of the email.
 	$settings_link  = bp_core_get_user_domain( $admin_id ) . $settings_slug . '/notifications/';
 
@@ -189,5 +188,5 @@
 	$membership = new BP_Groups_Member( false, false, $membership_id );
 
-	// Set up and send the message
+	// Set up and send the message.
 	$to       = $ud->user_email;
 	$subject  = bp_get_email_subject( array( 'text' => sprintf( __( 'Membership request for group: %s', 'buddypress' ), $group->name ) ) );
@@ -225,5 +224,5 @@
 	}
 
-	// Only show the disable notifications line if the settings component is enabled
+	// Only show the disable notifications line if the settings component is enabled.
 	if ( bp_is_active( 'settings' ) ) {
 		$message .= sprintf( __( 'To disable these notifications please log in and go to: %s', 'buddypress' ), $settings_link );
@@ -289,13 +288,12 @@
  * @param bool $accepted           Optional. Whether the membership request was accepted.
  *                                 Default: true.
- *
  * @return false|null
  */
 function groups_notification_membership_request_completed( $requesting_user_id = 0, $group_id = 0, $accepted = true ) {
 
-	// Trigger a BuddyPress Notification
+	// Trigger a BuddyPress Notification.
 	if ( bp_is_active( 'notifications' ) ) {
 
-		// What type of acknowledgement
+		// What type of acknowledgement.
 		$type = ! empty( $accepted )
 			? 'membership_request_accepted'
@@ -310,5 +308,5 @@
 	}
 
-	// Bail if member opted out of receiving this email
+	// Bail if member opted out of receiving this email.
 	if ( 'no' === bp_get_user_meta( $requesting_user_id, 'notification_membership_request_completed', true ) ) {
 		return false;
@@ -322,5 +320,5 @@
 	$to            = $ud->user_email;
 
-	// Set up and send the message
+	// Set up and send the message.
 	if ( ! empty( $accepted ) ) {
 		$subject = bp_get_email_subject( array( 'text' => sprintf( __( 'Membership request for group "%s" accepted', 'buddypress' ), $group->name ) ) );
@@ -344,5 +342,5 @@
 	}
 
-	// Only show the disable notifications line if the settings component is enabled
+	// Only show the disable notifications line if the settings component is enabled.
 	if ( bp_is_active( 'settings' ) ) {
 		$message .= sprintf( __( 'To disable these notifications please log in and go to: %s', 'buddypress' ), $settings_link );
@@ -404,5 +402,4 @@
  * @param int $user_id  ID of the user.
  * @param int $group_id ID of the group.
- *
  * @return false|null False on failure.
  */
@@ -418,5 +415,5 @@
 	}
 
-	// Trigger a BuddyPress Notification
+	// Trigger a BuddyPress Notification.
 	if ( bp_is_active( 'notifications' ) ) {
 		bp_notifications_add_notification( array(
@@ -428,5 +425,5 @@
 	}
 
-	// Bail if admin opted out of receiving this email
+	// Bail if admin opted out of receiving this email.
 	if ( 'no' === bp_get_user_meta( $user_id, 'notification_groups_admin_promotion', true ) ) {
 		return false;
@@ -439,5 +436,5 @@
 	$settings_link = bp_core_get_user_domain( $user_id ) . $settings_slug . '/notifications/';
 
-	// Set up and send the message
+	// Set up and send the message.
 	$to       = $ud->user_email;
 	$subject  = bp_get_email_subject( array( 'text' => sprintf( __( 'You have been promoted in the group: "%s"', 'buddypress' ), $group->name ) ) );
@@ -450,5 +447,5 @@
 ', 'buddypress' ), $promoted_to, $group->name, $group_link );
 
-	// Only show the disable notifications line if the settings component is enabled
+	// Only show the disable notifications line if the settings component is enabled.
 	if ( bp_is_active( 'settings' ) ) {
 		$message .= sprintf( __( 'To disable these notifications please log in and go to: %s', 'buddypress' ), $settings_link );
@@ -511,10 +508,9 @@
  * @param BP_Groups_Member $member          Member object.
  * @param int              $inviter_user_id ID of the user who sent the invite.
- *
  * @return null|false False on failure.
  */
 function groups_notification_group_invites( &$group, &$member, $inviter_user_id ) {
 
-	// Bail if member has already been invited
+	// Bail if member has already been invited.
 	if ( ! empty( $member->invite_sent ) ) {
 		return;
@@ -527,8 +523,8 @@
 	$group_link   = bp_get_group_permalink( $group );
 
-	// Setup the ID for the invited user
+	// Setup the ID for the invited user.
 	$invited_user_id = $member->user_id;
 
-	// Trigger a BuddyPress Notification
+	// Trigger a BuddyPress Notification.
 	if ( bp_is_active( 'notifications' ) ) {
 		bp_notifications_add_notification( array(
@@ -540,5 +536,5 @@
 	}
 
-	// Bail if member opted out of receiving this email
+	// Bail if member opted out of receiving this email.
 	if ( 'no' === bp_get_user_meta( $invited_user_id, 'notification_groups_invite', true ) ) {
 		return false;
@@ -551,5 +547,5 @@
 	$invites_link  = trailingslashit( $invited_link . bp_get_groups_slug() . '/invites' );
 
-	// Set up and send the message
+	// Set up and send the message.
 	$to       = $invited_ud->user_email;
 	$subject  = bp_get_email_subject( array( 'text' => sprintf( __( 'You have an invitation to the group: "%s"', 'buddypress' ), $group->name ) ) );
@@ -566,5 +562,5 @@
 ', 'buddypress' ), $inviter_name, $group->name, $invites_link, $group_link, $inviter_name, $inviter_link );
 
-	// Only show the disable notifications line if the settings component is enabled
+	// Only show the disable notifications line if the settings component is enabled.
 	if ( bp_is_active( 'settings' ) ) {
 		$message .= sprintf( __( 'To disable these notifications please log in and go to: %s', 'buddypress' ), $settings_link );
@@ -634,5 +630,4 @@
  * @param string $format            'string' for BuddyBar-compatible notifications; 'array'
  *                                  for WP Toolbar. Default: 'string'.
- *
  * @return string
  */
@@ -649,6 +644,6 @@
 
 			// Set up the string and the filter
-			// Because different values are passed to the filters, we'll return the
-			// values inline
+			// because different values are passed to the filters,
+			// we'll return values inline.
 			if ( (int) $total_items > 1 ) {
 				$text = sprintf( __( '%1$d new membership requests for the group "%2$s"', 'buddypress' ), (int) $total_items, $group->name );
@@ -1261,12 +1256,12 @@
 function bp_groups_screen_my_groups_mark_notifications() {
 
-	// Delete group request notifications for the user
+	// Delete group request notifications for the user.
 	if ( isset( $_GET['n'] ) && bp_is_active( 'notifications' ) ) {
 
-		// Get the necessary ID's
+		// Get the necessary ID's.
 		$group_id = buddypress()->groups->id;
 		$user_id  = bp_loggedin_user_id();
 
-		// Mark notifications read
+		// Mark notifications read.
 		bp_notifications_mark_notifications_by_type( $user_id, $group_id, 'membership_request_accepted' );
 		bp_notifications_mark_notifications_by_type( $user_id, $group_id, 'membership_request_rejected' );
Index: /trunk/src/bp-groups/bp-groups-screens.php
===================================================================
--- /trunk/src/bp-groups/bp-groups-screens.php	(revision 10372)
+++ /trunk/src/bp-groups/bp-groups-screens.php	(revision 10373)
@@ -69,5 +69,5 @@
 
 	if ( bp_is_action_variable( 'accept' ) && is_numeric( $group_id ) ) {
-		// Check the nonce
+		// Check the nonce.
 		if ( !check_admin_referer( 'groups_accept_invite' ) )
 			return false;
@@ -78,5 +78,5 @@
 			bp_core_add_message( __('Group invite accepted', 'buddypress') );
 
-			// Record this in activity streams
+			// Record this in activity streams.
 			$group = groups_get_group( array( 'group_id' => $group_id ) );
 
@@ -96,5 +96,5 @@
 
 	} elseif ( bp_is_action_variable( 'reject' ) && is_numeric( $group_id ) ) {
-		// Check the nonce
+		// Check the nonce.
 		if ( !check_admin_referer( 'groups_reject_invite' ) )
 			return false;
@@ -183,5 +183,5 @@
 		return false;
 
-	// Fetch the details we need
+	// Fetch the details we need.
 	$topic_slug	= (string)bp_action_variable( 1 );
 	$topic_id       = bp_forums_get_topic_id_from_slug( $topic_slug );
@@ -194,10 +194,10 @@
 	if ( !empty( $topic_slug ) && !empty( $topic_id ) ) {
 
-		// Posting a reply
+		// Posting a reply.
 		if ( !$user_is_banned && !bp_action_variable( 2 ) && isset( $_POST['submit_reply'] ) ) {
-			// Check the nonce
+			// Check the nonce.
 			check_admin_referer( 'bp_forums_new_reply' );
 
-			// Auto join this user if they are not yet a member of this group
+			// Auto join this user if they are not yet a member of this group.
 			if ( bp_groups_auto_join() && !bp_current_user_can( 'bp_moderate' ) && 'public' == $bp->groups->current_group->status && !groups_is_user_member( bp_loggedin_user_id(), $bp->groups->current_group->id ) ) {
 				groups_join_group( $bp->groups->current_group->id, bp_loggedin_user_id() );
@@ -206,5 +206,5 @@
 			$topic_page = isset( $_GET['topic_page'] ) ? $_GET['topic_page'] : false;
 
-			// Don't allow reply flooding
+			// Don't allow reply flooding.
 			if ( bp_forums_reply_exists( $_POST['reply_text'], $topic_id, bp_loggedin_user_id() ) ) {
 				bp_core_add_message( __( 'It looks like you\'ve already said that!', 'buddypress' ), 'error' );
@@ -228,7 +228,7 @@
 		}
 
-		// Sticky a topic
+		// Sticky a topic.
 		elseif ( bp_is_action_variable( 'stick', 2 ) && ( bp_is_item_admin() || bp_is_item_mod() ) ) {
-			// Check the nonce
+			// Check the nonce.
 			check_admin_referer( 'bp_forums_stick_topic' );
 
@@ -250,7 +250,7 @@
 		}
 
-		// Un-Sticky a topic
+		// Un-Sticky a topic.
 		elseif ( bp_is_action_variable( 'unstick', 2 ) && ( bp_is_item_admin() || bp_is_item_mod() ) ) {
-			// Check the nonce
+			// Check the nonce.
 			check_admin_referer( 'bp_forums_unstick_topic' );
 
@@ -272,7 +272,7 @@
 		}
 
-		// Close a topic
+		// Close a topic.
 		elseif ( bp_is_action_variable( 'close', 2 ) && ( bp_is_item_admin() || bp_is_item_mod() ) ) {
-			// Check the nonce
+			// Check the nonce.
 			check_admin_referer( 'bp_forums_close_topic' );
 
@@ -294,7 +294,7 @@
 		}
 
-		// Open a topic
+		// Open a topic.
 		elseif ( bp_is_action_variable( 'open', 2 ) && ( bp_is_item_admin() || bp_is_item_mod() ) ) {
-			// Check the nonce
+			// Check the nonce.
 			check_admin_referer( 'bp_forums_open_topic' );
 
@@ -316,7 +316,7 @@
 		}
 
-		// Delete a topic
+		// Delete a topic.
 		elseif ( empty( $user_is_banned ) && bp_is_action_variable( 'delete', 2 ) && !bp_action_variable( 3 ) ) {
-			// Fetch the topic
+			// Fetch the topic.
 			$topic = bp_forums_get_topic_details( $topic_id );
 
@@ -326,5 +326,5 @@
 			}
 
-			// Check the nonce
+			// Check the nonce.
 			check_admin_referer( 'bp_forums_delete_topic' );
 
@@ -355,10 +355,10 @@
 		}
 
-		// Editing a topic
+		// Editing a topic.
 		elseif ( empty( $user_is_banned ) && bp_is_action_variable( 'edit', 2 ) && !bp_action_variable( 3 ) ) {
-			// Fetch the topic
+			// Fetch the topic.
 			$topic = bp_forums_get_topic_details( $topic_id );
 
-			// Check the logged in user can edit this topic
+			// Check the logged in user can edit this topic.
 			if ( ! bp_is_item_admin() && ! bp_is_item_mod() && ( (int) bp_loggedin_user_id() != (int) $topic->topic_poster ) ) {
 				bp_core_redirect( wp_get_referer() );
@@ -366,5 +366,5 @@
 
 			if ( isset( $_POST['save_changes'] ) ) {
-				// Check the nonce
+				// Check the nonce.
 				check_admin_referer( 'bp_forums_edit_topic' );
 
@@ -397,15 +397,15 @@
 			bp_core_load_template( apply_filters( 'groups_template_group_forum_topic_edit', 'groups/single/home' ) );
 
-		// Delete a post
+		// Delete a post.
 		} elseif ( empty( $user_is_banned ) && bp_is_action_variable( 'delete', 2 ) && $post_id = bp_action_variable( 4 ) ) {
-			// Fetch the post
+			// Fetch the post.
 			$post = bp_forums_get_post( $post_id );
 
-			// Check the logged in user can edit this topic
+			// Check the logged in user can edit this topic.
 			if ( ! bp_is_item_admin() && ! bp_is_item_mod() && ( (int) bp_loggedin_user_id() != (int) $post->poster_id ) ) {
 				bp_core_redirect( wp_get_referer() );
 			}
 
-			// Check the nonce
+			// Check the nonce.
 			check_admin_referer( 'bp_forums_delete_post' );
 
@@ -435,11 +435,11 @@
 			bp_core_redirect( wp_get_referer() );
 
-		// Editing a post
+		// Editing a post.
 		} elseif ( empty( $user_is_banned ) && bp_is_action_variable( 'edit', 2 ) && $post_id = bp_action_variable( 4 ) ) {
 
-			// Fetch the post
+			// Fetch the post.
 			$post = bp_forums_get_post( $post_id );
 
-			// Check the logged in user can edit this topic
+			// Check the logged in user can edit this topic.
 			if ( ! bp_is_item_admin() && ! bp_is_item_mod() && ( (int) bp_loggedin_user_id() != (int) $post->poster_id ) ) {
 				bp_core_redirect( wp_get_referer() );
@@ -447,5 +447,5 @@
 
 			if ( isset( $_POST['save_changes'] ) ) {
-				// Check the nonce
+				// Check the nonce.
 				check_admin_referer( 'bp_forums_edit_post' );
 
@@ -476,5 +476,5 @@
 			bp_core_load_template( apply_filters( 'groups_template_group_forum_topic_edit', 'groups/single/home' ) );
 
-		// Standard topic display
+		// Standard topic display.
 		} else {
 			if ( !empty( $user_is_banned ) ) {
@@ -492,5 +492,5 @@
 		}
 
-	// Forum topic does not exist
+	// Forum topic does not exist.
 	} elseif ( !empty( $topic_slug ) && empty( $topic_id ) ) {
 		bp_do_404();
@@ -498,8 +498,8 @@
 
 	} else {
-		// Posting a topic
+		// Posting a topic.
 		if ( isset( $_POST['submit_topic'] ) && bp_is_active( 'forums' ) ) {
 
-			// Check the nonce
+			// Check the nonce.
 			check_admin_referer( 'bp_forums_new_topic' );
 
@@ -508,5 +508,5 @@
 
 			} elseif ( bp_groups_auto_join() && !bp_current_user_can( 'bp_moderate' ) && 'public' == $bp->groups->current_group->status && !groups_is_user_member( bp_loggedin_user_id(), $bp->groups->current_group->id ) ) {
-				// Auto join this user if they are not yet a member of this group
+				// Auto join this user if they are not yet a member of this group.
 				groups_join_group( $bp->groups->current_group->id, bp_loggedin_user_id() );
 			}
@@ -569,5 +569,5 @@
 	$bp = buddypress();
 
-	// Refresh the group member count meta
+	// Refresh the group member count meta.
 	groups_update_groupmeta( $bp->groups->current_group->id, 'total_member_count', groups_get_total_member_count( $bp->groups->current_group->id ) );
 
@@ -698,5 +698,5 @@
 		return false;
 
-	// If the user is already invited, accept invitation
+	// If the user is already invited, accept invitation.
 	if ( groups_check_user_has_invite( bp_loggedin_user_id(), $bp->groups->current_group->id ) ) {
 		if ( groups_accept_invite( bp_loggedin_user_id(), $bp->groups->current_group->id ) )
@@ -710,5 +710,5 @@
 	if ( isset( $_POST['group-request-send']) ) {
 
-		// Check the nonce
+		// Check the nonce.
 		if ( !check_admin_referer( 'groups_request_membership' ) )
 			return false;
@@ -809,7 +809,7 @@
 		$bp = buddypress();
 
-		// If the edit form has been submitted, save the edited details
+		// If the edit form has been submitted, save the edited details.
 		if ( isset( $_POST['save'] ) ) {
-			// Check the nonce
+			// Check the nonce.
 			if ( !check_admin_referer( 'groups_edit_group_details' ) )
 				return false;
@@ -869,19 +869,19 @@
 	$bp = buddypress();
 
-	// If the edit form has been submitted, save the edited details
+	// If the edit form has been submitted, save the edited details.
 	if ( isset( $_POST['save'] ) ) {
 		$enable_forum   = ( isset($_POST['group-show-forum'] ) ) ? 1 : 0;
 
-		// Checked against a whitelist for security
+		// Checked against a whitelist for security.
 		/** This filter is documented in bp-groups/bp-groups-admin.php */
 		$allowed_status = apply_filters( 'groups_allowed_status', array( 'public', 'private', 'hidden' ) );
 		$status         = ( in_array( $_POST['group-status'], (array) $allowed_status ) ) ? $_POST['group-status'] : 'public';
 
-		// Checked against a whitelist for security
+		// Checked against a whitelist for security.
 		/** This filter is documented in bp-groups/bp-groups-admin.php */
 		$allowed_invite_status = apply_filters( 'groups_allowed_invite_status', array( 'members', 'mods', 'admins' ) );
 		$invite_status	       = isset( $_POST['group-invite-status'] ) && in_array( $_POST['group-invite-status'], (array) $allowed_invite_status ) ? $_POST['group-invite-status'] : 'members';
 
-		// Check the nonce
+		// Check the nonce.
 		if ( !check_admin_referer( 'groups_edit_group_settings' ) )
 			return false;
@@ -933,5 +933,5 @@
 		return false;
 
-	// If the logged-in user doesn't have permission or if avatar uploads are disabled, then stop here
+	// If the logged-in user doesn't have permission or if avatar uploads are disabled, then stop here.
 	if ( ! bp_is_item_admin() || bp_disable_group_avatar_uploads() || ! buddypress()->avatar->show_avatars )
 		return false;
@@ -939,8 +939,8 @@
 	$bp = buddypress();
 
-	// If the group admin has deleted the admin avatar
+	// If the group admin has deleted the admin avatar.
 	if ( bp_is_action_variable( 'delete', 1 ) ) {
 
-		// Check the nonce
+		// Check the nonce.
 		check_admin_referer( 'bp_group_avatar_delete' );
 
@@ -960,12 +960,12 @@
 	if ( !empty( $_FILES ) ) {
 
-		// Check the nonce
+		// Check the nonce.
 		check_admin_referer( 'bp_avatar_upload' );
 
-		// Pass the file to the avatar upload handler
+		// Pass the file to the avatar upload handler.
 		if ( bp_core_avatar_handle_upload( $_FILES, 'groups_avatar_upload_dir' ) ) {
 			$bp->avatar_admin->step = 'crop-image';
 
-			// Make sure we include the jQuery jCrop file for image cropping
+			// Make sure we include the jQuery jCrop file for image cropping.
 			add_action( 'wp_print_scripts', 'bp_core_add_jquery_cropper' );
 		}
@@ -973,8 +973,8 @@
 	}
 
-	// If the image cropping is done, crop the image and save a full/thumb version
+	// If the image cropping is done, crop the image and save a full/thumb version.
 	if ( isset( $_POST['avatar-crop-submit'] ) ) {
 
-		// Check the nonce
+		// Check the nonce.
 		check_admin_referer( 'bp_avatar_cropstore' );
 
@@ -1027,5 +1027,5 @@
 	}
 
-	// If the logged-in user doesn't have permission or if cover image uploads are disabled, then stop here
+	// If the logged-in user doesn't have permission or if cover image uploads are disabled, then stop here.
 	if ( ! bp_is_item_admin() || ! bp_group_use_cover_image_header() ) {
 		return false;
@@ -1102,5 +1102,5 @@
 				return false;
 
-			// Stop sole admins from abandoning their group
+			// Stop sole admins from abandoning their group.
 			$group_admins = groups_get_group_admins( $bp->groups->current_group->id );
 			if ( 1 == count( $group_admins ) && $group_admins[0]->user_id == $user_id )
@@ -1249,5 +1249,5 @@
 				return false;
 
-			// Accept the membership request
+			// Accept the membership request.
 			if ( !groups_accept_membership_request( $membership_id ) )
 				bp_core_add_message( __( 'There was an error accepting the membership request. Please try again.', 'buddypress' ), 'error' );
@@ -1260,5 +1260,5 @@
 				return false;
 
-			// Reject the membership request
+			// Reject the membership request.
 			if ( !groups_reject_membership_request( $membership_id ) )
 				bp_core_add_message( __( 'There was an error rejecting the membership request. Please try again.', 'buddypress' ), 'error' );
@@ -1467,9 +1467,9 @@
 	public function is_group() {
 
-		// Bail if not looking at a group
+		// Bail if not looking at a group.
 		if ( ! bp_is_groups_component() )
 			return;
 
-		// Group Directory
+		// Group Directory.
 		if ( ! bp_current_action() && ! bp_current_item() ) {
 			bp_update_is_directory( true, 'groups' );
@@ -1486,5 +1486,5 @@
 			add_filter( 'bp_replace_the_content',                    array( $this, 'directory_content'    ) );
 
-		// Creating a group
+		// Creating a group.
 		} elseif ( bp_is_groups_component() && bp_is_current_action( 'create' ) ) {
 			add_filter( 'bp_get_buddypress_template',                array( $this, 'create_template_hierarchy' ) );
@@ -1492,5 +1492,5 @@
 			add_filter( 'bp_replace_the_content',                    array( $this, 'create_content'    ) );
 
-		// Group page
+		// Group page.
 		} elseif ( bp_is_single_item() ) {
 			add_filter( 'bp_get_buddypress_template',                array( $this, 'single_template_hierarchy' ) );
@@ -1527,6 +1527,6 @@
 		) );
 
-		// Merge new templates with existing stack
-		// @see bp_get_theme_compat_templates()
+		// Merge new templates with existing stack.
+		// @see bp_get_theme_compat_templates().
 		$templates = array_merge( (array) $new_templates, $templates );
 
@@ -1573,5 +1573,4 @@
 	 *
 	 * @param string $templates The templates from bp_get_theme_compat_templates().
-	 *
 	 * @return array $templates Array of custom templates to look for.
 	 */
@@ -1589,6 +1588,6 @@
 		) );
 
-		// Merge new templates with existing stack
-		// @see bp_get_theme_compat_templates()
+		// Merge new templates with existing stack.
+		// @see bp_get_theme_compat_templates().
 		$templates = array_merge( $new_templates, $templates );
 
@@ -1641,5 +1640,5 @@
 	 */
 	public function single_template_hierarchy( $templates ) {
-		// Setup some variables we're going to reference in our custom templates
+		// Setup some variables we're going to reference in our custom templates.
 		$group = groups_get_current_group();
 
@@ -1659,6 +1658,6 @@
 		) );
 
-		// Merge new templates with existing stack
-		// @see bp_get_theme_compat_templates()
+		// Merge new templates with existing stack.
+		// @see bp_get_theme_compat_templates().
 		$templates = array_merge( (array) $new_templates, $templates );
 
